using FluentScheduler;
using Performance.Services.ExtractExcelService;

namespace Performance.Api
{
    public class ExtractGenerateJob : IJob
    {
        private readonly ExtractJobService _extractJobService;

        public ExtractGenerateJob(ExtractJobService extractJobService)
        {
            _extractJobService = extractJobService;
        }

        public void Execute()
        {
            _extractJobService.ExportFile();
        }
    }
}
